html {
    background-image:linear-gradient(to right,darkviolet,  #ff99ff);
    color:white;
    font-family: Arial, Helvetica, sans-serif;
}

.logo {
  position:relative;
  top:15px;
}

h1 {
  text-align:center;
  position:relative;
  bottom:10px;
}

header, main, footer, nav {
  border:5px solid white;
  margin:10px;
  padding:20px;
  border-radius:30px;
}

a {
  border:2px solid white;
  color:white;
  margin:5px;
  padding:10px;
  border-radius:10px;
  text-decoration:none;
  transition: 0.3s;
}

nav {
  text-align:center;
}

a:hover {
  color:darkviolet;
  background-color:white;
  box-shadow: 5px 5px 10px #ff99ff;
  transition: 0.3s;
}

.unofficial {
  text-align:center;
}

img {
  border: 5px solid white;
  border-radius: 30px;
}

.noborder {
  border: 0px solid white;
}


.icon-row {
  display: flex;
  justify-content: space-between; 
  align-items: center;
  margin-top: 20px;               
}

.code-icon {
  display: block;
  opacity:0.5;
}

.extraspecialtwo {
  border-radius:10000px;
  padding:20px;
}

.customhover:hover {
  color:darkviolet;
  box-shadow: 5px 5px 10px darkviolet;
  transition: 0.3s;
}

.customhover {
  transition: 0.3s;
}

.code-icon:hover {
  opacity:1;
  box-shadow: 5px 5px 20px purple;
  transition:0.2s ease-out;
}

.bczthisdoesntworkimmakinganewcssclass {
  padding:10px !important;
}

.center {
    display: flex;
    flex-direction: column;
    justify-content:center;
    align-items: center;    
    text-align: center;
    width:100px;
}